summaryrefslogtreecommitdiff
path: root/packaging/RPMS/Fedora/scripts/parse-changelog.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/RPMS/Fedora/scripts/parse-changelog.sh')
-rwxr-xr-xpackaging/RPMS/Fedora/scripts/parse-changelog.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/packaging/RPMS/Fedora/scripts/parse-changelog.sh b/packaging/RPMS/Fedora/scripts/parse-changelog.sh
new file mode 100755
index 0000000000..35eeddcee2
--- /dev/null
+++ b/packaging/RPMS/Fedora/scripts/parse-changelog.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+awk '
+/^%changelog/ {
+ in_changelog = 1;
+ next;
+}
+{
+ if (in_changelog) {
+ print;
+ }
+}' "$@"